/*	Renegade Scripts.dll
	Normal Map Shader Class for the Shader Database Editor
	Copyright 2007 Jonathan Wilson

	This file is part of the Renegade scripts.dll
	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
	the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2, or (at your option) any later
	version. See the file COPYING for more details.
	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
	Only the source code to the module(s) containing the licenced code has to be released.
*/
class EditorNormalMapShaderClass : public EditorShaderClass {
public:
	NormalMapShaderClass *shader;
	EditorNormalMapShaderClass();
	~EditorNormalMapShaderClass();
	void Load(ChunkLoadClass& cload);
	void Save(ChunkSaveClass& csave);
	void Edit(HWND ParentDialog);
	const char *Get_Name();
	void Set_Name(const char *name);
};
